Project

General

Profile

Actions

Bug #1428

open

POSIX.1e implementation is too old

Added by hasso over 12 years ago. Updated 7 months ago.

Status:
Feedback
Priority:
Low
Assignee:
Category:
Other
Target version:
Start date:
Due date:
% Done:

0%

Estimated time:

Description

Our posix1e(3) implementation is too old and not compatible with any
recent enough piece of software.

Actions #1

Updated by alexh about 12 years ago

afaik posix.1e has been withdrawn some time ago. What software still uses
this? On what implementation do they rely?

Cheers,
Alex Hornung

Actions #2

Updated by hasso about 12 years ago

afaik posix.1e has been withdrawn some time ago. What software still
uses this? On what implementation do they rely?

It never left draft status, yes. I don't understand all the relationships
between posix.1e, all different ACL and extended attributes
implementations, but the fact is that ACL's and extended attributes are
supported nowadays filesystems.

But we happen to have sys/extattr.h and friends no thirdparty software
supports. A lot of such software breaks though if it relies only on
existance of headers.

Actions #3

Updated by tuxillo almost 7 years ago

  • Description updated (diff)
  • Category set to Other
  • Status changed from New to Feedback
  • Assignee deleted (0)
  • Target version set to 4.2

Hi Hasso,

Care to elaborate a bit more?

Cheers,
Antonio Huete

Actions #4

Updated by tuxillo almost 7 years ago

  • Assignee set to tuxillo
Actions #5

Updated by tuxillo 7 months ago

  • Target version changed from 4.2 to 6.0
Actions

Also available in: Atom PDF